| Flutter Linux Embedder |

Public Attributes | List of all members
_FlKeyEmbedderResponder Struct Reference

## Public Attributes
GObject | parent_instance
GWeakRef | engine
GHashTable * | pressing_records
guint | lock_records
GHashTable * | mapping_records
StateLogicInferrence | caps_lock_state_logic_inferrence
bool | sent_any_events
GHashTable * | modifier_bit_to_checked_keys
GHashTable * | lock_bit_to_checked_keys
GHashTable * | logical_key_to_lock_bit
GCancellable * | cancellable

## Detailed Description

Definition at line 86 of file fl_key_embedder_responder.cc.

## Member Data Documentation

## ◆ cancellable

GCancellable* _FlKeyEmbedderResponder::cancellable

Definition at line 145 of file fl_key_embedder_responder.cc.

## ◆ caps_lock_state_logic_inferrence

StateLogicInferrence _FlKeyEmbedderResponder::caps_lock_state_logic_inferrence

Definition at line 117 of file fl_key_embedder_responder.cc.

## ◆ engine

GWeakRef _FlKeyEmbedderResponder::engine

Definition at line 90 of file fl_key_embedder_responder.cc.

## ◆ lock_bit_to_checked_keys

GHashTable* _FlKeyEmbedderResponder::lock_bit_to_checked_keys

Definition at line 137 of file fl_key_embedder_responder.cc.

## ◆ lock_records

guint _FlKeyEmbedderResponder::lock_records

Definition at line 102 of file fl_key_embedder_responder.cc.

## ◆ logical_key_to_lock_bit

GHashTable* _FlKeyEmbedderResponder::logical_key_to_lock_bit

Definition at line 143 of file fl_key_embedder_responder.cc.

## ◆ mapping_records

GHashTable* _FlKeyEmbedderResponder::mapping_records

Definition at line 111 of file fl_key_embedder_responder.cc.

## ◆ modifier_bit_to_checked_keys

GHashTable* _FlKeyEmbedderResponder::modifier_bit_to_checked_keys

Definition at line 129 of file fl_key_embedder_responder.cc.

## ◆ parent_instance

GObject _FlKeyEmbedderResponder::parent_instance

Definition at line 87 of file fl_key_embedder_responder.cc.

## ◆ pressing_records

GHashTable* _FlKeyEmbedderResponder::pressing_records

Definition at line 97 of file fl_key_embedder_responder.cc.

## ◆ sent_any_events

bool _FlKeyEmbedderResponder::sent_any_events

Definition at line 121 of file fl_key_embedder_responder.cc.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_key_embedder_responder.cc